summaryrefslogtreecommitdiff
path: root/bg1
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-02 23:38:54 -0500
committernick <myownlittlworld@hotmail.com>2009-05-02 23:38:54 -0500
commite2f6690cc2cf57df3788a20f5be2dfbdf5d660b8 (patch)
tree023c1f657bd8e76080a1aa232c5e3238fecd1a2c /bg1
parentd400ae382e09b091fb372ffc9163273ff40ddb1d (diff)
parent28083ccefa13e4137afb300544072e7e176c7de8 (diff)
downloadgemrb-gameinstallers-e2f6690cc2cf57df3788a20f5be2dfbdf5d660b8.tar.bz2
gemrb-gameinstallers-e2f6690cc2cf57df3788a20f5be2dfbdf5d660b8.zip
Merged with latest from upstream.
Diffstat (limited to 'bg1')
-rwxr-xr-xbg1/install-5cd-extra.sh17
-rwxr-xr-xbg1/install-5cd-minimal.sh19
-rwxr-xr-xbg1/install-patch-baldurdash-fix.sh17
-rwxr-xr-xbg1/install-patch-baldurdash-text.sh19
-rwxr-xr-xbg1/install-patch-intl.sh21
-rwxr-xr-xbg1/install-patch-us.sh21
6 files changed, 102 insertions, 12 deletions
diff --git a/bg1/install-5cd-extra.sh b/bg1/install-5cd-extra.sh
index 445b36c..9e6847d 100755
--- a/bg1/install-5cd-extra.sh
+++ b/bg1/install-5cd-extra.sh
@@ -1,5 +1,20 @@
#!/bin/bash
-# Installs all extra Baldur's Gate content (so CDs aren't needed)
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Baldur's Gate (5CD International version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/bg1/install-5cd-minimal.sh b/bg1/install-5cd-minimal.sh
index 274bffa..2e6ff59 100755
--- a/bg1/install-5cd-minimal.sh
+++ b/bg1/install-5cd-minimal.sh
@@ -1,5 +1,20 @@
-#!/bin/sh
-# Baldur's Gate 5CD International version minimal
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate (5CD International version) minimal
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/bg1/install-patch-baldurdash-fix.sh b/bg1/install-patch-baldurdash-fix.sh
index 939d4f6..be9b3be 100755
--- a/bg1/install-patch-baldurdash-fix.sh
+++ b/bg1/install-patch-baldurdash-fix.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1/TOTSC Baldurdash fix pack
scriptdir="$(dirname $0)"/..
@@ -17,7 +32,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
-cp $TMPDIR/* "$TARGETDIR/override/" || die
+cp $TMPDIR/* "$TARGETDIR/override/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/bg1/install-patch-baldurdash-text.sh b/bg1/install-patch-baldurdash-text.sh
index 266c4ee..9dbf9a9 100755
--- a/bg1/install-patch-baldurdash-text.sh
+++ b/bg1/install-patch-baldurdash-text.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 Baldurdash text pack
scriptdir="$(dirname $0)"/..
@@ -9,7 +24,7 @@ parseargs "$@"
if [ "$LANGUAGE" != "English" ]; then
echo "The Baldurdash text pack is only available in English"
- die
+ diesoftly
fi
checkforbin unzip wget
@@ -21,7 +36,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1NoTOSCGameTextUpdate10.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1NoTOSCGameTextUpdate10.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 5126ec7..2acb59e 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 official international patch
scriptdir="$(dirname $0)"/..
@@ -13,11 +28,11 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe
-unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || die
-unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || die
+unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || diesoftly
+unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
-cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || die
+cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index 3e0d2cb..c3fe4b0 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 official US/Canada patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/bg114315.exe
-cabextract -L $TMPDIR/bg114315.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/bg114315.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/english/* "$TARGETDIR" || die
+cp -R $TMPDIR/english/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"